$(document).ready(function(){
	
	function btnFunction(){
		$("#container .stream-item").click(function() {
			// 何番目がクリックされたか引数に渡す
			var itemIndex = $('#container .stream-item').index(this);
			listAdjust(itemIndex);
		});
	}
	
	// 行の追加をクリックしたらdivを追加
	$(".btn").click(function() {
		
		var outer = $("<div></div>").addClass("stream-item");
		var content = $("<div></div>").addClass("content").text('新しい行');
		outer.append(content);
		$("#container").append(outer);
		
		// 一旦余計のスタイル、クラスをクリア
		styleClear();
		
		btnFunction();
		
	});
	
	// スタイル、クラスのクリア
	function styleClear(){
		$("#container .stream-item").removeAttr('style');
		$("#container .select-item").attr('class','stream-item');
		$("#container .forward-item").attr('class','stream-item');
		$("#container .next-item").attr('class','stream-item');
	}
	
	// 行の整形、調整
	function listAdjust(itemIndex){
		// 何行あるか調べる
		var itemNum = $('#container .stream-item').length;
		
		// クリックされた行の前後のIndex番号
		var forwardIndex = itemIndex - 1;
		var nextIndex = itemIndex + 1;
		var last2Index = itemNum-2;
		
		// 一旦余計のスタイル、クラスをクリア
		styleClear();
		
		if( itemIndex == 0 || itemIndex == 1){
			
			// パターン：1個目、2個目がクリックされた処理
			
			$('#container .stream-item:first-child').css({
				borderTopLeftRadius:6,
				borderTopRightRadius:6,
				borderBottomLeftRadius:6,
				borderBottomRightRadius:6,
				marginBottom:10
			});
			
			if( itemIndex == 1 ){
				$("#container .stream-item:eq("+itemIndex+")").attr('class','stream-item select-item');
			}
			
			$("#container .stream-item:eq("+nextIndex+")").attr('class','stream-item next-item');
		
		}else if( itemIndex > 1 && itemIndex < itemNum-2 ){
		
			// パターン：前頭、後尾を除いて、中の部分の処理
			
			// first-childをセット
			$('#container .stream-item:first-child').css({
				borderTopLeftRadius:6,
				borderTopRightRadius:6,
				borderBottomLeftRadius:0,
				borderBottomRightRadius:0,
				marginBottom:0
			});
			
			// last-childをセット
			$('#container .stream-item:last-child').css({
				borderTopLeftRadius:0,
				borderTopRightRadius:0,
				borderBottomLeftRadius:6,
				borderBottomRightRadius:6,
				borderTop:0,
				borderTopStyle:'solid',
				borderTopColor:"#D2D0CC",
				marginTop:0
			});
			
			$("#container .stream-item:eq("+itemIndex+")").attr('class','stream-item select-item');
			$("#container .stream-item:eq("+forwardIndex+")").attr('class','stream-item forward-item');
			$("#container .stream-item:eq("+nextIndex+")").attr('class','stream-item next-item');
			
		}else if( itemIndex == itemNum-2 ){
			
			// パターン：下から2個目がクリックされた処理
			
			// first-childをセット
			$('#container .stream-item:first-child').css({
				borderTopLeftRadius:6,
				borderTopRightRadius:6,
				borderBottomLeftRadius:0,
				borderBottomRightRadius:0,
				marginBottom:0
			});
			
			// last-childをセット
			$('#container .stream-item:last-child').css({
				borderTopLeftRadius:6,
				borderTopRightRadius:6,
				borderBottomLeftRadius:6,
				borderBottomRightRadius:6,
				borderTop:1,
				borderTopStyle:'solid',
				borderTopColor:"#D2D0CC",
				marginTop:10
			});
			
			$("#container .stream-item:eq("+forwardIndex+")").attr('class','stream-item forward-item');
			$("#container .stream-item:eq("+itemIndex+")").attr('class','stream-item select-item');
			
		}else if( itemIndex == itemNum -1 ){
			
			// 最後尾がクリックされた処理
			
			// last-childをセット
			$('#container .stream-item:last-child').css({
				borderTopLeftRadius:6,
				borderTopRightRadius:6,
				borderBottomLeftRadius:6,
				borderBottomRightRadius:6,
				borderTop:1,
				borderTopStyle:'solid',
				borderTopColor:"#D2D0CC",
				marginTop:10
			});
			
			$("#container .stream-item:eq("+forwardIndex+")").attr('class','stream-item forward-item');
		}
	}
	
	btnFunction();
});